#!/bin/sh
#
#	Test 10 - test error codes
#
#	@(#)test_10.sh	1.2	12:32:19	2/21/92
#

set -e
RC=1
DBPATH=. ; export DBPATH
#
# make certain all the unused database files are gone
#
rm -f test.out test.sch test[0-9].dat test[0-9].idx test_10 test_10.o

trap 'rm -f test.out test.sch test[0-9].dat test[0-9].idx test_10 test_10.o ; exit $RC' 0 1 2 3 15

cc -o test_10 $CCFLAGS test_10.c libidbm.a $LDFLAGS

#
# create a simple schema
#
cat > test.sch << EOF
database test0

file test1

field field11 type int
field field12 type int
field index1 type index unique field11

file test2

field field21 type short
field field22 type short
field index2 type index field22

file test3

field field31 type double
field field32 type double

end
EOF
./dbschema test.sch

#
# add some records
#
./dbload test0 test1 << EOF
1|9
2|8
3|7
4|6
5|5
EOF
./dbload test0 test2 << EOF
9|1
8|2
3|7
4|6
5|5
EOF

./test_10

#
# check test1 for correct contents
#
./dbunload test0 test1 index1 > test.out
cmp -s - test.out << EOF
0|0
1|1
2|4
3|9
4|16
5|25
6|36
7|49
8|64
9|81
EOF

#
# check database for correct schema
#
./dbshow test0 > test.out
cmp -s - test.out << EOF
database test0

file test1

field	field11	type	int
field	field12	type	int
field	index1	type	index unique	field11

end
EOF
#
# Everything is OK
#
RC=0
